Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598895 - /CoreOS/tcsh/Sanity/prompt hangs in Beaker
Summary: /CoreOS/tcsh/Sanity/prompt hangs in Beaker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: 0.5
Hardware: All
OS: Linux
high
medium vote
Target Milestone: 0.5.45
Assignee: Marian Csontos
QA Contact: Petr Šplíchal
URL:
Whiteboard:
Depends On:
Blocks: 593663 593365
TreeView+ depends on / blocked
 
Reported: 2010-06-02 10:01 UTC by Petr Šplíchal
Modified: 2016-07-12 03:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-25 12:02:04 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2010-06-02 10:01:47 UTC
Description of problem:

The test /CoreOS/tcsh/Sanity/prompt works fine in RHTS but hangs
(for no obvious reason) in Beaker. It uses python pty module for
terminal simulation which could be connected to the issue, but I
don't know...

Beaker job:
https://beaker.engineering.redhat.com/jobs/1330
https://beaker.engineering.redhat.com/tasks/executed?task=/CoreOS/tcsh/Sanity/prompt&result_id=3&whiteboard=&arch_id=1&job_id=1330&

RHTS job:
http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=160367
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=14467201

Comment 1 Petr Šplíchal 2010-06-02 10:05:28 UTC
Similar for /CoreOS/vim/Sanity/upstream-tests.

Comment 2 Petr Šplíchal 2010-06-04 13:18:25 UTC
Possible the same issue is for /CoreOS/authconfig/sanity/options,
which hangs after the first test phase.

https://beaker.engineering.redhat.com/tasks/executed?task=/CoreOS/authconfig/sanity/options&result_id=3&whiteboard=&arch_id=1&job_id=1330&

Fine in http://rhts.redhat.com/cgi-bin/rhts/jobs.cgi?id=160588

Comment 3 David Kovalsky 2010-06-07 13:41:30 UTC
Suggesting this to be a blocker.

These 2 tests can be only a tip of the iceberg, may affect other tests with the same base.

Comment 4 Petr Šplíchal 2010-06-07 14:16:16 UTC
Similar hang in /CoreOS/perl-DBD-Pg/Sanity/upstream-tests at the
end of the setup phase. Fine in RHTS.

https://beaker.engineering.redhat.com/logs/2010/30/1330/2472/23473///TESTOUT.log
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=14428117

Another RHTS-Beaker difference is for /CoreOS/procps/Sanity/top:
While in RHTS testing "top -m -n 1" works fine, in Beaker we get:

TERM environment variable not set.
:: [   PASS   ] :: Checking for the -m option (BZ#479703)
:: [   FAIL   ] :: File 'output' should contain 'PID.*USER.*PR.*NI.*USED.*RES.*SHR'

Sounds really terminal related...

Comment 5 Petr Šplíchal 2010-06-07 14:24:34 UTC
/CoreOS/tcsh/Sanity/upstream difference: Four failures appear in
upsteam test suite, all pass in RHTS.

 71: onintr        FAILED (commands.at:936)
 87: source        FAILED (commands.at:1206)
112: Comments      FAILED (lexical.at:36)
155: $ edit        FAILED (variables.at:322)

https://beaker.engineering.redhat.com/logs/2010/30/1330/2472/23519///TESTOUT.log

Comment 6 Marian Csontos 2010-06-07 14:53:41 UTC
Will look into that...

Comment 7 Petr Šplíchal 2010-06-08 09:41:45 UTC
This is not Beaker/RHEL6 specific, the same problem appears when
the /CoreOS/perl-DBD-Pg/Sanity/upstream-tests test is run on RHEL5:

https://beaker.engineering.redhat.com/jobs/2379

Comment 8 Marian Csontos 2010-06-21 11:37:26 UTC
Fixed upstream

Comment 9 Petr Šplíchal 2010-06-25 11:02:24 UTC
Scheduled test run: https://beaker.engineering.redhat.com/jobs/5194
Which failed before with "failed tty get" in TJ#4167.

Comment 10 Petr Šplíchal 2010-06-25 11:31:41 UTC
Please, disregard my last comment, it concerns bug 607994.

Comment 11 Petr Šplíchal 2010-06-25 11:37:39 UTC
Verified to be fixed in 0.5.45. The following tests no more hang
in Beaker:

    /CoreOS/tcsh/Sanity/prompt
    /CoreOS/vim/Sanity/upstream-tests
    /CoreOS/authconfig/sanity/options
    /CoreOS/perl-DBD-Pg/Sanity/upstream-tests

https://beaker.engineering.redhat.com/jobs/4205

Comment 12 Marian Csontos 2010-06-25 12:02:04 UTC
Thanks Peter for verifying it.


Note You need to log in before you can comment on or make changes to this bug.